[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#814651: jessie-pu: package sitesummary/0.1.17+deb8u1



Package: release.debian.org
Severity: normal
Tags: jessie
User: release.debian.org@packages.debian.org
Usertags: pu

The sitesummary package in stable is affected by two RC bugs, one giving
uninstallation problems, the other causing hangs in the postinst.  The
following patch will solve it.  The change is already in unstable and
testing.

diff --git a/debian/changelog b/debian/changelog
index 231a412..e165579 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,13 @@
+sitesummary (0.1.17+deb8u1) jessie; urgency=medium
+
+  * Backport RC fixes from unstable.
+
+  [ Dominik George ]
+  * Fix hanging postinst script (Closes: #785214).
+  * Fix dangling symlink in apache config after removal (Closes: #785215, #794606).
+
+ -- Petter Reinholdtsen <pere@debian.org>  Sat, 13 Feb 2016 18:34:24 +0100
+
 sitesummary (0.1.17) unstable; urgency=high
 
   * Fix installation problem when sitesummary is preseeded to update
diff --git a/debian/sitesummary.postinst b/debian/sitesummary.postinst
index 031b9f4..910d81a 100644
--- a/debian/sitesummary.postinst
+++ b/debian/sitesummary.postinst
@@ -41,21 +41,6 @@ EOF
 
 case "$1" in
     configure)
-        # Enable it on fresh installations as before Apache 2.4.  Check for
-        # cgi.load existence to avoid trying to configure when installed after
-        # apache2 is unpacked but not yet configured (bug #760084).
-        if [ -z "$2" ] && \
-            [ -e /etc/apache2/mods-available/cgi.load ] && \
-            [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
-            . /usr/share/apache2/apache2-maintscript-helper
-            apache2_invoke enmod cgi.load
-            apache2_invoke enconf sitesummary.conf
-        fi
-
-        # Make sure the cgi script can write to the storage area
-	chown www-data /var/lib/sitesummary/tmpstorage \
-	    /var/lib/sitesummary/entries 
-
         # If the config file is missing, check debconf to see if the
         # munin configuration feature should be enabled.  This hidden
         # debconf question allow preseeding during installation.
@@ -82,6 +67,24 @@ case "$1" in
 		update-rc.d -f sitesummary-client remove >/dev/null 2>&1 || :
 	fi
 
+        # Close debconf file handles before restarting Apache
+        db_stop
+
+        # Enable it on fresh installations as before Apache 2.4.  Check for
+        # cgi.load existence to avoid trying to configure when installed after
+        # apache2 is unpacked but not yet configured (bug #760084).
+        if [ -z "$2" ] && \
+            [ -e /etc/apache2/mods-available/cgi.load ] && \
+            [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
+            . /usr/share/apache2/apache2-maintscript-helper
+            apache2_invoke enmod cgi.load
+            apache2_invoke enconf sitesummary.conf
+        fi
+
+        # Make sure the cgi script can write to the storage area
+	chown www-data /var/lib/sitesummary/tmpstorage \
+	    /var/lib/sitesummary/entries 
+
 	;;
 
     abort-upgrade|abort-remove|abort-deconfigure)
diff --git a/debian/sitesummary.prerm b/debian/sitesummary.prerm
new file mode 100644
index 0000000..62eb441
--- /dev/null
+++ b/debian/sitesummary.prerm
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+    remove)
+        # Enable it on fresh installations as before Apache 2.4.  Check for
+        # cgi.load existence to avoid trying to configure when installed after
+        # apache2 is unpacked but not yet configured (bug #760084).
+        if [ -z "$2" ] && \
+            [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
+            . /usr/share/apache2/apache2-maintscript-helper
+            apache2_invoke disconf sitesummary.conf
+        fi
+    ;;
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+exit 0

I would like to update the stable version of sitesummary to fix this bug
affecting Debian Edu.  Are you OK with me uploading a package with this
change?

-- 
Happy hacking
Petter Reinholdtsen


Reply to: